Aracılığıyla paylaş


Guest Agents - Create

GuestAgent PUT yöntemini uygular.
GuestAgent'ı oluşturun veya güncelleştirin.

PUT https://management.azure.com/{resourceUri}/providers/Microsoft.ScVmm/virtualMachineInstances/default/guestAgents/default?api-version=2025-03-13

URI Parametreleri

Name İçinde Gerekli Tür Description
resourceUri
path True

string

Kaynağın tam Azure Resource manager tanımlayıcısı.

api-version
query True

string

minLength: 1

Bu işlem için kullanılacak API sürümü.

İstek Gövdesi

Name Tür Description
properties.credentials

GuestCredential

Konuk aracısı sağlamak için kullanıcı adı / Parola Kimlik Bilgileri.

properties.httpProxyConfig

HttpProxyConfiguration

VM için HTTP Proxy yapılandırması.

properties.privateLinkScopeResourceId

string (arm-id)

Varsa, bu makinenin atandığı özel bağlantı kapsamının kaynak kimliği.

properties.provisioningAction

ProvisioningAction

Konuk aracısı sağlama eylemini alır veya ayarlar.

Yanıtlar

Name Tür Description
200 OK

GuestAgent

Kaynak 'GuestAgent' güncelleştirme işlemi başarılı oldu

201 Created

GuestAgent

Kaynak 'GuestAgent' oluşturma işlemi başarılı oldu

Üst Bilgiler

Retry-After: integer

Other Status Codes

ErrorResponse

Beklenmeyen bir hata yanıtı.

Güvenlik

azure_auth

Azure Active Directory OAuth2 Akışı.

Tür: oauth2
Akış: implicit
Yetkilendirme URL’si: https://login.microsoftonline.com/common/oauth2/authorize

Kapsamlar

Name Description
user_impersonation kullanıcı hesabınızın kimliğine bürünme

Örnekler

GuestAgents_Create_MaximumSet
GuestAgents_Create_MinimumSet

GuestAgents_Create_MaximumSet

Örnek isteği

PUT https://management.azure.com/gtgclehcbsyave/providers/Microsoft.ScVmm/virtualMachineInstances/default/guestAgents/default?api-version=2025-03-13

{
  "properties": {
    "credentials": {
      "username": "jqxuwirrcpfv",
      "password": "gkvbnmuahumuoibvscoxzfdqwvfuf"
    },
    "httpProxyConfig": {
      "httpsProxy": "uoyzyticmohohomlkwct"
    },
    "provisioningAction": "install"
  }
}

Örnek yanıt

{
  "properties": {
    "uuid": "hbsgztyakewtgbuxbesezncnzu",
    "credentials": {
      "username": "jqxuwirrcpfv"
    },
    "httpProxyConfig": {
      "httpsProxy": "uoyzyticmohohomlkwct"
    },
    "provisioningAction": "install",
    "status": "jpoukrzfenzrmjdahimkl",
    "customResourceName": "mhqymxkapuvsugd",
    "provisioningState": "Succeeded",
    "privateLinkScopeResourceId": "/subscriptions/12345678-1234-1234-1234-12345678abc/resourceGroups/exampleResourceGroup/providers/Microsoft.HybridCompute/privateLinkScopes/privateLinkResourceName"
  },
  "id": "/subscriptions/12345678-1234-1234-1234-12345678abc/resourceGroups/exampleResourceGroup/providers/Microsoft.ScVmm/virtualMachineInstances/default/guestAgents/default",
  "name": "rwecpthzyt",
  "type": "dkcgcbtlwtsedxzhvtu",
  "systemData": {
    "createdBy": "p",
    "createdByType": "User",
    "createdAt": "2024-01-29T22:28:00.094Z",
    "lastModifiedBy": "goxcwpyyqlxndquly",
    "lastModifiedByType": "User",
    "lastModifiedAt": "2024-01-29T22:28:00.095Z"
  }
}
Azure-AsyncOperation: https://contoso.com/operationstatus
{
  "properties": {
    "uuid": "hbsgztyakewtgbuxbesezncnzu",
    "credentials": {
      "username": "jqxuwirrcpfv"
    },
    "httpProxyConfig": {
      "httpsProxy": "uoyzyticmohohomlkwct"
    },
    "provisioningAction": "install",
    "status": "jpoukrzfenzrmjdahimkl",
    "customResourceName": "mhqymxkapuvsugd",
    "provisioningState": "Succeeded",
    "privateLinkScopeResourceId": "/subscriptions/12345678-1234-1234-1234-12345678abc/resourceGroups/exampleResourceGroup/providers/Microsoft.HybridCompute/privateLinkScopes/privateLinkResourceName"
  },
  "id": "/subscriptions/12345678-1234-1234-1234-12345678abc/resourceGroups/exampleResourceGroup/providers/Microsoft.ScVmm/virtualMachineInstances/default/guestAgents/default",
  "name": "rwecpthzyt",
  "type": "dkcgcbtlwtsedxzhvtu",
  "systemData": {
    "createdBy": "p",
    "createdByType": "User",
    "createdAt": "2024-01-29T22:28:00.094Z",
    "lastModifiedBy": "goxcwpyyqlxndquly",
    "lastModifiedByType": "User",
    "lastModifiedAt": "2024-01-29T22:28:00.095Z"
  }
}

GuestAgents_Create_MinimumSet

Örnek isteği

PUT https://management.azure.com/gtgclehcbsyave/providers/Microsoft.ScVmm/virtualMachineInstances/default/guestAgents/default?api-version=2025-03-13

{}

Örnek yanıt

{}
Azure-AsyncOperation: https://contoso.com/operationstatus
{}

Tanımlar

Name Description
createdByType

Kaynağı oluşturan kimliğin türü.

ErrorAdditionalInfo

Kaynak yönetimi hatası ek bilgileri.

ErrorDetail

Hata ayrıntısı.

ErrorResponse

Hata yanıtı

GuestAgent

GuestAgent'ı tanımlar.

GuestCredential

Konukla bağlantı kurmak için kullanıcı adı / Parola Kimlik Bilgileri.

HttpProxyConfiguration

VM için HTTP Proxy yapılandırması.

ProvisioningAction

Konuk aracısı sağlama eylemi.

ProvisioningState

Kaynağın sağlama durumu.

systemData

Kaynağın oluşturulması ve son değiştirilmesiyle ilgili meta veriler.

createdByType

Kaynağı oluşturan kimliğin türü.

Değer Description
User
Application
ManagedIdentity
Key

ErrorAdditionalInfo

Kaynak yönetimi hatası ek bilgileri.

Name Tür Description
info

object

Ek bilgiler.

type

string

Ek bilgi türü.

ErrorDetail

Hata ayrıntısı.

Name Tür Description
additionalInfo

ErrorAdditionalInfo[]

Hata ek bilgileri.

code

string

Hata kodu.

details

ErrorDetail[]

Hata ayrıntıları.

message

string

Hata iletisi.

target

string

Hata hedefi.

ErrorResponse

Hata yanıtı

Name Tür Description
error

ErrorDetail

Hata nesnesi.

GuestAgent

GuestAgent'ı tanımlar.

Name Tür Description
id

string (arm-id)

Kaynağın tam kaynak kimliği. Örneğin, "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName}"

name

string

Kaynağın adı

properties.credentials

GuestCredential

Konuk aracısı sağlamak için kullanıcı adı / Parola Kimlik Bilgileri.

properties.customResourceName

string

Kubernetes'te ilgili kaynağın adını alır.

properties.httpProxyConfig

HttpProxyConfiguration

VM için HTTP Proxy yapılandırması.

properties.privateLinkScopeResourceId

string (arm-id)

Varsa, bu makinenin atandığı özel bağlantı kapsamının kaynak kimliği.

properties.provisioningAction

ProvisioningAction

Konuk aracısı sağlama eylemini alır veya ayarlar.

properties.provisioningState

ProvisioningState

Kaynağın sağlama durumu.

properties.status

string

Konuk aracısı durumunu alır.

properties.uuid

string

Bu kaynak için benzersiz bir tanımlayıcı alır.

systemData

systemData

createdBy ve modifiedBy bilgilerini içeren Azure Resource Manager meta verileri.

type

string

Kaynağın türü. Örneğin, "Microsoft.Compute/virtualMachines" veya "Microsoft.Storage/storageAccounts"

GuestCredential

Konukla bağlantı kurmak için kullanıcı adı / Parola Kimlik Bilgileri.

Name Tür Description
password

string (password)

Konukla bağlantı kurmak için parolayı alır veya ayarlar.

username

string

Konukla bağlantı kurmak için kullanıcı adını alır veya ayarlar.

HttpProxyConfiguration

VM için HTTP Proxy yapılandırması.

Name Tür Description
httpsProxy

string

httpsProxy url'sini alır veya ayarlar.

ProvisioningAction

Konuk aracısı sağlama eylemi.

Değer Description
install

Konuk aracıyı yükleyin.

uninstall

Konuk aracıyı kaldırın.

repair

Konuk aracıyı onarın.

ProvisioningState

Kaynağın sağlama durumu.

Değer Description
Succeeded

Kaynak oluşturuldu.

Failed

Kaynak oluşturulamadı.

Canceled

Kaynak oluşturma işlemi iptal edildi.

Provisioning

Kaynak sağlanıyor.

Updating

Kaynak güncelleştiriliyor.

Deleting

Kaynak siliniyor.

Accepted

Kaynak kabul edildi.

Created

Kaynak oluşturuldu.

systemData

Kaynağın oluşturulması ve son değiştirilmesiyle ilgili meta veriler.

Name Tür Description
createdAt

string (date-time)

Kaynak oluşturma (UTC) zaman damgası.

createdBy

string

Kaynağı oluşturan kimlik.

createdByType

createdByType

Kaynağı oluşturan kimliğin türü.

lastModifiedAt

string (date-time)

Kaynağın son değişikliğinin zaman damgası (UTC)

lastModifiedBy

string

Kaynağı en son değiştiren kimlik.

lastModifiedByType

createdByType

Kaynağı en son değiştiren kimlik türü.